ListOfFiles (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Class ListOfFiles

- java.lang.Object
- - tv.amwa.maj.io.mxf.ListOfFiles

-     public abstract class ListOfFiles
      extends Object

  Handles a list of files.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ListOfFiles.NewFileHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListOfFiles()`
    `ListOfFiles(String fileName)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileName(String fileName)`
    `abstract void` | `closeFile()`
    `String` | `getCurrentFileName()`
    `boolean` | `getNextFile()`
    `long` | `getRangeDuration()`
    `long` | `getRangeEnd()`
    `long` | `getRangeStart()`
    `boolean` | `isFileList()`
    `abstract boolean` | `isFileOpen()`
    `abstract boolean` | `openFile()`
    `void` | `setFileName(String fileName)`
    `void` | `setNewFileHandler(ListOfFiles.NewFileHandler handler)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListOfFiles

          public ListOfFiles(String fileName)

    - #### ListOfFiles

          public ListOfFiles()

  - ### Method Detail

    - #### setFileName

          public void setFileName(String fileName)

    - #### addFileName

          public void addFileName(String fileName)
                           throws NullPointerException

      Throws:
        `NullPointerException`

    - #### setNewFileHandler

          public void setNewFileHandler(ListOfFiles.NewFileHandler handler)

    - #### getRangeStart

          @MXFPosition
          public long getRangeStart()

    - #### getRangeEnd

          @MXFPosition
          public long getRangeEnd()

    - #### getRangeDuration

          @MXFPosition
          public long getRangeDuration()

    - #### getCurrentFileName

          public String getCurrentFileName()

    - #### openFile

          public abstract boolean openFile()

    - #### closeFile

          public abstract void closeFile()

    - #### isFileOpen

          public abstract boolean isFileOpen()

    - #### isFileList

          public boolean isFileList()

    - #### getNextFile

          public boolean getNextFile()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.